// Headers are available because we added the pls target
#include <iostream>
#include <functional>
#include <array>
#include <atomic>
#include <memory>
#include <typeindex>
#include <tuple>

#include <pls/pls.h>

int main() {
  auto range = boost::irange(0, 10);
  bool test = std::is_integral<typename std::remove_reference<decltype(range.begin())>::type>::value;
  std::cout << test << std::endl;
}
